﻿using System.Windows;
using Infragistics.Controls.Grids;

namespace FilteringXamGrid.Controls
{
    public class CustomTemplateColumn : TemplateColumn
    {
        public string FilterColumn
        {
            get { return (string)GetValue(FilterColumnProperty); }
            set { SetValue(FilterColumnProperty, value); }
        }

        public static readonly DependencyProperty FilterColumnProperty = DependencyProperty.Register(
            "FilterColumn",
            typeof(string),
            typeof(CustomTemplateColumn),
            null);
    }
}
