﻿using System;
using Microsoft.Practices.Prism.ViewModel;

namespace FilteringXamGrid.Models
{
    public class Category : NotificationObject
    {
        private int _categoryId;
        public int CategoryId
        {
            get { return _categoryId; }
            set
            {
                //ignore if values are equal
                if (value == _categoryId) return;

                _categoryId = value;

                RaisePropertyChanged(() => CategoryId);
            }
        }

        private String _category;
        public String CategoryName
        {
            get { return _category; }
            set
            {
                //ignore if values are equal
                if (value == _category) return;

                _category = value;

                RaisePropertyChanged(() => CategoryName);
            }
        }
    }
}
